Subject: Re: bug#69312: 30.0.50; [WISHLIST] dicitionary buffer should retain search information

From: Juri Linkov <[email-masked]>
Date: Sun, 03 Mar 2024 09:50:37 +0200

reopen 69312
thanks

> This bug should be re-opened. The patch did not address what I mentioned
> here:
>
>> This won't work. The buffer is in read-only mode, but even if that is
>> inhibited,
>> the string is overwritten by the call to the display function at the end:
>
>> (funcall function reply)
>
> With it installed, the dictionary-do-matching command is broken.
> It results in:
>
> dictionary-do-matching: Buffer is read-only: #<buffer *Dictionary*>

Please provide a test case to reproduce the issue that you see.